DH_size(3)

NAME
DH_size - get Diffie-Hellman prime size

SYNOPSIS
 #include <openssl/dh.h>

 int DH_size(DH *dh);

DESCRIPTION
This function returns the Diffie-Hellman size in bytes. It can be used to determine how much memory must be allocated for the shared secret computed by DH_compute_key().

dh->p must not be NULL.

RETURN VALUE
The size in bytes.

SEE ALSO
dh(3), DH_generate_key(3)

HISTORY
DH_size() is available in all versions of SSLeay and OpenSSL.